Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 30 Aug 2020 15:46:51 +0200

João Távora <[email-masked]> writes:

>>> In semantic-idle-summary-refresh-echo-area:
>>> cedet/semantic/idle.el:802:13: Warning: ‘eldoc-message’ is an obsolete
>>>     function (as of eldoc-1.1.0); use
>>> ‘eldoc-documentation-functions’ instead.
>>>
>>> I guess this is the result of João's changes in July?  I had a quick
>>> peek at how to fix it, but it wasn't immediately obvious to me.
>>
>> Copying in João Távora in the hope that the fix will be immediately
>> obvious to him.
>
> Lars, you want to fix the compilation warning or something else?  The
> function is obsolete, but it leep working.  The only "fix" is to follow
> the advice in the warning message.

If the function is obsolete, all in-tree callers should be fixed.  I'm
not familiar enough with eldoc to do so, though.

> I don't know why this particular compilation warning didn't pop up
> earlier, I don't recall it.

It's been there ever since you obsoleted eldoc-message, of course.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no